Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# raviartthomas_ex2.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 5 of file raviartthomas_ex2.cpp. References DiscontinuousLagrangeFE::compute_basis_functions(), RaviartThomas::compute_basis_functions(), DiscontinuousLagrangeFE::N(), RaviartThomas::N(), DiscontinuousLagrangeFE::nbf(), RaviartThomas::nbf(), DiscontinuousLagrangeFE::set(), and RaviartThomas::set().
    00005             {
    00006   int order = 3;
    00007
    00008   ReferenceTriangle triangle("t");
    00009   RaviartThomas vfe;
    00010   vfe.set(triangle);
    00011   vfe.set(order);
    00012   vfe.compute_basis_functions();
    00013
    00014   DiscontinuousLagrangeFE pfe;
    00015   pfe.set(triangle);
    00016   pfe.set(order);
    00017   pfe.compute_basis_functions();
    00018
    00019   for (int i=0; i< vfe.nbf(); i++)
    00020     cout <<"vfe.N("<<i<<")="<<vfe.N(i)<<endl;
    00021
    00022   for (int i=0; i< pfe.nbf(); i++)
    00023     cout <<"pfe.N("<<i<<")="<<pfe.N(i)<<endl;
    00024
    00025   return 0;
    00026 }